PHP is amongst the most widely used open-source server-side scripting languages. It’s rather popular because it is free software, which you can use to build interactive sites like community web portals, web shops or e-teaching portals as opposed to static HTML websites. A PHP module should be available on the web server where a PHP-powered site is hosted so that its source code can be ‘decoded’. As there aren’t any license taxes for this type of module and the language itself offers endless possibilities for the web apps that you build, there are hundreds of millions of PHP-powered sites. Furthermore, there are an immense number of PHP-based scripts, which you can use for your sites without having to possess any programming capabilities. Considering the fact that there are several PHP versions, you have to confirm whether the very same version that you used while building your website is available on the web server too.
PHP 4 and PHP 5 Support in Web Hosting
Our web hosting servers support different PHP versions, which suggests that your sites will run flawlessly even if your PHP-based scripts are outdated. We accept the fact that an old site doesn’t necessarily imply an insecure one as you may have performed lots of modifications to its code. That’s why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can pick which one will be enabled for your account. You can change the version with just one click inside your Hepsia hosting Control Panel and the new settings will take effect instantly. If you want to run both newer and older scripts, there’s even a possibility to use a different version of PHP for each domain name of yours at the same time.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
If you’ve got a site built using a previous PHP version and you have put time and energy into developing it, plugging security holes and inserting web content, you’ll need a web hosting service that can support it, as most web hosting suppliers these days support only the most recently published version of PHP and remove the previous versions. We, on the other hand, have decided to permit you to pick the exact version that your own websites require. Our Linux semi-dedicated servers support PHP 4 and multiple versions of PHP 5, which implies that you’ll be able to run both newer and older scripts without forfeiting any manual tweaks or wasting time and effort struggling to make your sites compatible with the web hosting environment. You can change the current version via the Hepsia Control Panel and such an update will apply to the whole semi-dedicated account, but you’ll also be able to select a different PHP version for each website that you host in your account by means of an .htaccess config file.